Read a verification
curl --request GET \
--url https://api.verifner.com/v1/verifications/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.verifner.com/v1/verifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.verifner.com/v1/verifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.verifner.com/v1/verifications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"verdict": "verified",
"score": 0.5,
"document_type": "passport",
"checks": [
{
"name": "mrz_checksum",
"status": "pass",
"score": 0.5,
"evidence": {
"fr": "<string>",
"en": "<string>"
}
}
],
"latency_ms": 4503599627370495,
"created_at": "2023-11-07T05:31:56Z",
"status": "VERIFIED",
"document": {
"type": "passport",
"country": "<string>",
"fields": {},
"mrz": {
"lines": [
"<string>"
],
"valid": true
},
"legibility": 123
},
"fields": {},
"face_match": {
"similarity": 123,
"matched": true,
"faces_in_document": 123,
"faces_in_selfie": 123
},
"timings": {}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Verify
Read a verification
GET
/
v1
/
verifications
/
{id}
Read a verification
Autorisations
vn_live_… or vn_test_…, from the console.
Paramètres de chemin
Pattern:
^vrf_Réponse
The result, plus final_verdict once a human reviewed it
Five checks, each with bilingual evidence. final_verdict appears on reads once a reviewer decided.
Pattern:
^vrf_[a-z0-9]{6,}$Options disponibles:
verified, review, rejected Plage requise:
0 <= x <= 1Options disponibles:
passport, cni, unknown Show child attributes
Show child attributes
Plage requise:
0 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Options disponibles:
VERIFIED, REVIEW, REJECTED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes